#include <stdio.h>

/*
 * Read from standard input and write to standard output.  Translate
 * each newline to a space if it is not immediately preceeded by a
 * right curly brace: '}'.
 */

main()
{
register int	c, last_char;

last_char = EOF;
while ((c = getchar()) != EOF) {
	if (c == '\n') {
		if (last_char != '}')
			c = ' ';
		}
	putchar(c);
	last_char = c;
	}
return(0);
}
